Bug 834134 - GDM no longer ignores user accounts unless shell denies login
GDM no longer ignores user accounts unless shell denies login
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 19:43 EDT by Thomas Spear
Modified: 2015-06-29 20:36 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:36:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Spear 2012-06-20 19:43:05 EDT
Description of problem:
Created a new user with default settings. Logged in as user in terminal. Later rebooted machine and find user is listed in gdm. Found bug 723708. Changed user's UID and GID from 1003 to 500 using usermod and groupmod, changed group of user's homedir to new GID using chgrp. Rebooted machine expecting the user to not appear in the greeter anymore. It still appears.


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a new user, ANY UID # (even <500 !!!) and set shell to any valid shell that allows login
2. Reboot
3. See user listed in GDM
  
Actual results:
User should be hidden from GDM

Expected results:
User appears in GDM

Additional info:
The only way I have found to prevent the user from appearing in GDM is to change their shell to either /sbin/nologin or /bin/false or /dev/null etc.
Comment 1 tengel 2012-06-20 19:59:33 EDT
Confirmed here as well - with mine it's the NX (No Machine) user that can't have the shell changed, so I'm stuck with it's account in GDM.

# cat /etc/passwd | grep ^nx
nx:x:992:988::/usr/NX/home/nx:/usr/NX/bin/nxserver

# cat /etc/login.defs | egrep "(G|U)ID_MIN"
UID_MIN                  1000
SYS_UID_MIN               201
GID_MIN                  1000
SYS_GID_MIN               201

# rpm -q gdm
gdm-3.4.1-3.fc17.x86_64
Comment 2 Ian Collier 2012-06-28 12:32:44 EDT
It's worse than that.

We have "passwd: compat" in nsswitch.conf, and "+" at the bottom of the password file.  Guess what: gdm offers "+" as a possible login.

So we finally made the switch to kdm. :-(
Comment 3 Ray Strode [halfline] 2012-06-29 16:11:20 EDT
I believe we fixed this in recent accountsservices.  Possibly this commit:

http://cgit.freedesktop.org/accountsservice/commit/?id=f381a903ba85184355c620b90991474ded39fed8
Comment 4 Thomas Spear 2012-06-29 22:08:44 EDT
I'll test tonight and let you know.

Thoughts: If either of the below functions are returning false, then the users in question will still appear:

user_get_system_account (user)
daemon_local_user_is_excluded (data->daemon, name, shell)
Comment 5 Arun S A G 2012-08-02 01:44:11 EDT
(In reply to comment #4)
> I'll test tonight and let you know.
> 
> Thoughts: If either of the below functions are returning false, then the
> users in question will still appear:
> 
> user_get_system_account (user)
> daemon_local_user_is_excluded (data->daemon, name, shell)

Any update on this?
Comment 6 Zhiqiang Ma 2012-09-07 07:13:01 EDT
Confirm as well:


$ rpm -q gdm
gdm-3.4.1-3.fc17.x86_64

$ cat /etc/passwd | egrep "eric"
eric:x:498:717::/home/eric:/bin/bash

$ cat /etc/login.defs | egrep "(G|U)ID_MIN"
UID_MIN                  1000
SYS_UID_MIN               201
GID_MIN                  1000
SYS_GID_MIN               201
Comment 7 Gabriel M. Elder 2013-02-18 12:04:20 EST
This is still a problem in f18 as well.

See also: https://bugzilla.redhat.com/show_bug.cgi?id=723708
Comment 8 Gabriel M. Elder 2013-02-18 17:55:05 EST
I've posted a workaround at my aforementioned link, fyi.
Comment 9 Fedora End Of Life 2013-07-03 23:07:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 06:14:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Arun S A G 2013-08-01 07:38:04 EDT
The problem still exists on Fedora 18
Comment 12 Fedora End Of Life 2013-12-21 10:03:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Arun S A G 2013-12-21 11:25:38 EST
Reassigning
Comment 14 Fedora End Of Life 2015-05-29 04:45:12 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-06-29 20:36:01 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.